This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 499617 - Fonts on intel based Netbooks are too large, dpi is set to 134 instead of 96
Fonts on intel based Netbooks are too large, dpi is set to 134 instead of 96
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-07 09:04 EDT by J Gallagher
Modified: 2013-04-02 00:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-23 08:04:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log (29.77 KB, text/plain)
2009-05-09 07:55 EDT, J Gallagher
no flags Details
old xorg log (37.90 KB, text/plain)
2009-05-09 07:56 EDT, J Gallagher
no flags Details

  None (edit)
Description J Gallagher 2009-05-07 09:04:44 EDT
Description of problem:
Running any version of fedora since 9 up to F11 preview on an intel based netbook (Acer Aspire One, Samsung NC10, eeepc etc) results in over large fonts onthe login screen and onthe Gnome/KDE desktops. The resolution is set to 134 DPI, it should be 96 (gnome-appearance-properties -> Fonts -> Details -> Resolution)


Version-Release number of selected component (if applicable):
All releases since at least F9, and including F11 Preview


How reproducible:
Just boot up any Fedora install on a netbook (incl live usb sessions)


Steps to Reproduce:
Install fedora on a netbook and boot into a gui (gnome or kde)
1.
2.
3.
  
Actual results:
Fonts are too large, dpi=134


Expected results:
proper sized fonts, dpi=96


Additional info:
correcting the dpi in Gnome or KDE desktop doesn't fix the problem on the gdm login screen, to change dpi for that you need to change it in gdm's gcong settings in /var/lib/gdm
Comment 1 Matěj Cepl 2009-05-08 17:17:30 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 J Gallagher 2009-05-09 07:55:13 EDT
Created attachment 343203 [details]
xorg log
Comment 3 J Gallagher 2009-05-09 07:56:17 EDT
Created attachment 343204 [details]
old xorg log
Comment 4 J Gallagher 2009-05-09 07:58:20 EDT
I added the logs, but note that I have now manually corrected the dpi to 96 in gnome appearances dialog and also for gdm. This is in F11 Preview on an Acer Aspire One netbook
Comment 5 J Gallagher 2009-05-13 18:51:45 EDT
Were my attachements not helpful?

Do you want me to attach a log from a session where the dpi size has not been manually fixed?
Comment 6 Matěj Cepl 2009-05-14 05:49:46 EDT
This is OK, I think.
Comment 7 J Gallagher 2009-05-14 06:18:23 EDT
Can the title be edited, I used "small" when I meant "large"
Comment 8 Bug Zapper 2009-06-09 11:19:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Matěj Cepl 2009-11-05 13:28:43 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 11 J Gallagher 2009-11-23 08:04:40 EST
This is fixed in Fedora 12, closing :)

Note You need to log in before you can comment on or make changes to this bug.